### Method

# Gtk MediaStreamprepared

deprecated: 4.4

#### Declaration [src]

    void
    gtk_media_stream_prepared (
      GtkMediaStream* self,
      gboolean has_audio,
      gboolean has_video,
      gboolean seekable,
      gint64 duration
    )

#### Description [src]

Same as gtk_media_stream_stream_prepared().

Deprecated since: 4.4

Use `gtk_media_stream_stream_prepared()` instead.

This method is not directly available to language bindings.

#### Parameters

`has_audio`

  Type: `gboolean`

  `TRUE` if the stream should advertise audio support.

`has_video`

  Type: `gboolean`

  `TRUE` if the stream should advertise video support.

`seekable`

  Type: `gboolean`

  `TRUE` if the stream should advertise seekability.

`duration`

  Type: `gint64`

  The duration of the stream or 0 if unknown.